<?php
 namespace VnChocola\Model;
 use TCMS\Model;
 use TCMS\FieldModel;
 use FIELD_DATA_TYPE;
 class SeatsModel extends Model {
 public $tableName = 'Seats';
 public function registerField() {
 $this->addField('id', FIELD_DATA_TYPE::STRING);
 $this->addField('title', FIELD_DATA_TYPE::STRING, function(FieldModel $field) {
 $field->required = true;
 }
);
 $this->addField('style', FIELD_DATA_TYPE::STRING);
 $this->addField('class', FIELD_DATA_TYPE::STRING);
 $this->addField('titleShow', FIELD_DATA_TYPE::BOOLEAN, function(FieldModel $field) {
 $field->required = true;
 }
);
 $this->addField('config', FIELD_DATA_TYPE::JSON);
 $this->addField('foorID', FIELD_DATA_TYPE::STRING, function(FieldModel $field) {
 $field->required = true;
 }
);
 }
 }
